Question

Asterisk with kernel-devel

Hi, I am trying to install Asterisk 1.8.x on vps, but I recognize the header

my kernel on centos 6.4 : kernel-2.6.32-358.6.2.el6.x86_64 kernel-devel-2.6.32-358.6.2.el6.x86_64

error:

[root@shark dahdi-linux-2.6.2]# make make -C drivers/dahdi/firmware firmware-loaders make[1]: Entering directory /usr/src/dahdi-linux-2.6.2/drivers/dahdi/firmware' make[1]: Leaving directory /usr/src/dahdi-linux-2.6.2/drivers/dahdi/firmware’ You do not appear to have the sources for the 2.6.32-358.6.2.el6.x86_64 kernel installed. make: *** [modules] Error 1

I have the same kernel in the droplet kernel-2.6.32-358.6.2.el6.x86_64


Submit an answer

This textbox defaults to using Markdown to format your answer.

You can type !ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

Sign In or Sign Up to Answer

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

Want to learn more? Join the DigitalOcean Community!

Join our DigitalOcean community of over a million developers for free! Get help and share knowledge in Q&A, subscribe to topics of interest, and get courses and tools that will help you grow as a developer and scale your project or business.

Hi,

You need to update your kernel (in settings > kernel) in the digital ocean backoffice to match the latest 2.6.18-406.el5

Anyone know the solution to this? I put in a ticket and seems like the sysadmin at DigitalOcean can’t figure it out either.

This comment has been deleted